BEST_HYPER_PARAMETERS = {
    'cifar10': {
        'resnet18': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 7.8125e-06
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 1.5625e-05,
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 1.5625e-05,
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 7.8125e-06,
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 6.25e-05
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
        'resnet20': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 7.8125e-06
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.99]
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
        'vgg16': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 3.125e-05
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 3.125e-05
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 3.125e-05
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 1.5625e-05
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 0.00025
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.999],
                'weight_decay': 0.0005
            },
        },
    },
    'cifar100': {
        'resnet18': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 0.000125
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.000125
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.000125
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 0.0
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.000125
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
        'vgg16': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 6.25e-05
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 6.25e-05
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 6.25e-05
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 7.8125e-06
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 1.5625e-05
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
    },
    'svhn': {
        'resnet18': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 0.0
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 3.125e-05
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 3.125e-05
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 7.8125e-06
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 7.8125e-06
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
        'vgg16': {
            'adam': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0
            },
            'adama': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 7.8125e-06
            },
            'adamab': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 7.8125e-06
            },
            'adamabc': {
                'lr': 0.001,
                'betas': [0.9, 0.999],
                'weight_decay': 0.00025
            },
            'adamw': {
                'lr': 0.001,
                'betas': [0.9, 0.99],
                'weight_decay': 3.125e-05
            },
            'adamg': {
                'lr': 0.01,
                'betas': [0.9, 0.99],
                'weight_decay': 0.0005
            },
        },
    },
}
